## ros-vision-opencv 1.15.0+ds

=== image_geometry/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(image_geometry)

find_package(catkin REQUIRED sensor_msgs)
find_package(OpenCV REQUIRED)

catkin_package(CATKIN_DEPENDS sensor_msgs
               DEPENDS OpenCV
               INCLUDE_DIRS include
               LIBRARIES ${PROJECT_NAME}
)

catkin_python_setup()

include_directories(include)
include_directories(${catkin_INCLUDE_DIRS} ${OpenCV_INCLUDE_DIRS})

# add a library
add_library(${PROJECT_NAME} src/pinhole_camera_model.cpp src/stereo_camera_model.cpp)
target_link_libraries(${PROJECT_NAME} ${OpenCV_LIBRARIES})
add_dependencies(${PROJECT_NAME} ${catkin_EXPORTED_TARGETS})

install(DIRECTORY include/${PROJECT_NAME}/
        DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}/
)

# install library
install(TARGETS ${PROJECT_NAME}
        ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
        LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
        RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION}
)

# add tests
if(CATKIN_ENABLE_TESTING)
  add_subdirectory(test)
endif()

=== vision_opencv/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(vision_opencv)
find_package(catkin REQUIRED)
catkin_metapackage()

=== cv_bridge/src/CMakeLists.txt ===
# add library
include_directories(./)
add_library(${PROJECT_NAME} cv_bridge.cpp rgb_colors.cpp)
add_dependencies(${PROJECT_NAME} ${catkin_EXPORTED_TARGETS})
target_link_libraries(${PROJECT_NAME} ${OpenCV_LIBRARIES} ${catkin_LIBRARIES})

install(TARGETS ${PROJECT_NAME}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION}
)

if(NOT ANDROID)
# add a Boost Python library
find_package(PythonInterp REQUIRED)
find_package(PythonLibs "${PYTHON_VERSION_MAJOR}.${PYTHON_VERSION_MINOR}")

#Get the numpy include directory from its python module
if(NOT PYTHON_NUMPY_INCLUDE_DIR)
    execute_process(COMMAND ${PYTHON_EXECUTABLE} -c "import numpy; print(numpy.get_include())"
                    RESULT_VARIABLE PYTHON_NUMPY_PROCESS
                    OUTPUT_VARIABLE PYTHON_NUMPY_INCLUDE_DIR
                    OUTPUT_STRIP_TRAILING_WHITESPACE)

    if(PYTHON_NUMPY_PROCESS EQUAL 0)
       file(TO_CMAKE_PATH "${PYTHON_NUMPY_INCLUDE_DIR}" PYTHON_NUMPY_INCLUDE_CMAKE_PATH)
       set(PYTHON_NUMPY_INCLUDE_DIR ${PYTHON_NUMPY_INCLUDE_CMAKE_PATH} CACHE PATH "Numpy include directory")
    else(PYTHON_NUMPY_PROCESS EQUAL 0)
        message(SEND_ERROR "Could not determine the NumPy include directory, verify that NumPy was installed correctly.")
    endif(PYTHON_NUMPY_PROCESS EQUAL 0)
 endif(NOT PYTHON_NUMPY_INCLUDE_DIR)

include_directories(${PYTHON_INCLUDE_PATH} ${Boost_INCLUDE_DIRS} ${PYTHON_NUMPY_INCLUDE_DIR})

if (PYTHON_VERSION_MAJOR VERSION_EQUAL 3)
  add_definitions(-DPYTHON3)
endif()

add_library(${PROJECT_NAME}_boost module.cpp module_opencv4.cpp)
target_link_libraries(${PROJECT_NAME}_boost ${Boost_LIBRARIES}
                                            ${catkin_LIBRARIES}
                                            ${PYTHON_LIBRARIES}
                                            ${PROJECT_NAME}
)

set_target_properties(${PROJECT_NAME}_boost PROPERTIES
                      LIBRARY_OUTPUT_DIRECTORY ${CATKIN_DEVEL_PREFIX}/${CATKIN_GLOBAL_PYTHON_DESTINATION}/${PROJECT_NAME}/boost/
                      RUNTIME_OUTPUT_DIRECTORY ${CATKIN_DEVEL_PREFIX}/${CATKIN_GLOBAL_PYTHON_DESTINATION}/${PROJECT_NAME}/boost/
                      PREFIX ""
)
if(APPLE)
  set_target_properties(${PROJECT_NAME}_boost PROPERTIES
                        SUFFIX ".so")
endif()
if(MSVC)
  set_target_properties(${PROJECT_NAME}_boost PROPERTIES
                        SUFFIX ".pyd")
endif()

install(TARGETS ${PROJECT_NAME}_boost DESTINATION ${CATKIN_PACKAGE_PYTHON_DESTINATION}/boost/)
endif()

=== debian/changelog ===
ros-vision-opencv (1.15.0+ds-4) unstable; urgency=medium

  * Bump libopencv-dev dependency

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 03 Jan 2021 22:35:51 +0100

ros-vision-opencv (1.15.0+ds-3) unstable; urgency=medium

  [ Johannes 'josch' Schauer ]
  * add autopkgtests
  * rename debian/gitlab-ci.yml -> debian/salsa-ci.yml
  * Make build log verbose (including GMock compilation) to make blhc happy
  * debian/rules: document why we use pybuild as the build system
  * debian/rules: add export DEB_BUILD_MAINT_OPTIONS=hardening=+all
  * debian/rules: make a bit more reproducible by removing build paths
  * debian/control: add missing dependency of python3-cv-bridge on
    python3-opencv

  [ Jochen Sprickerhof ]
  * simplify packaging

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 19 Dec 2020 16:10:39 +0100

ros-vision-opencv (1.15.0+ds-2) unstable; urgency=medium

  * Upload to unstable

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 30 Jun 2020 06:05:37 +0200

ros-vision-opencv (1.15.0+ds-1) experimental; urgency=medium

  * add Salsa CI
  * New upstream version 1.15.0+ds
  * Remove Thomas from Uploaders, thanks for working on this
  * rebase patches
  * update copyright
  * bump debhelper version
  * bump Soname due to ABI change

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 19 Jun 2020 15:36:00 +0200

ros-vision-opencv (1.13.0+ds-6) unstable; urgency=medium

  * Support multiple Python version
  * bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 06 Apr 2020 19:16:07 +0200

ros-vision-opencv (1.13.0+ds-5) unstable; urgency=medium

  * Add patch for cmake python module
  * Drop ROS_PYTHON_VERSION from d/rules (not needed)

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 23 Dec 2019 12:14:25 +0100

ros-vision-opencv (1.13.0+ds-4) unstable; urgency=medium

  * Drop Python 3 patch
  * Add OpenCV 4 patch (Closes: #922592)
  * switch to debhelper-compat and debhelper 12
  * Bump policy version (no changes)
  * simplify d/watch

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 20 Oct 2019 23:56:29 +0200

ros-vision-opencv (1.13.0+ds-3) unstable; urgency=medium

  * Team upload.
  * Drop Python 2 support.  Closes: #938405

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 13 Oct 2019 13:44:40 +0200

=== debian/control ===
Source: ros-vision-opencv
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Jochen Sprickerhof <jspricke@debian.org>,
           Leopold Palomo-Avellaneda <leo@alaxarxa.net>
Build-Depends: debhelper-compat (= 13), catkin, librosconsole-dev, libsensor-msgs-dev, libboost-python-dev, libopencv-dev (>= 4.5.1), dh-sequence-python3, librostest-dev, dh-sequence-numpy3, python3-all-dev
Standards-Version: 4.5.1
Section: libs
Rules-Requires-Root: no
Homepage: https://wiki.ros.org/vision_opencv
Vcs-Git: https://salsa.debian.org/science-team/ros-vision-opencv.git
Vcs-Browser: https://salsa.debian.org/science-team/ros-vision-opencv

Package: libcv-bridge-dev
Section: libdevel
Architecture: any
Depends: libcv-bridge2d (= ${binary:Version}), ${misc:Depends}, librosconsole-dev, libsensor-msgs-dev, libopencv-dev (>= 4.5.1)
Description: cv_bridge Robot OS package - development
 This package is part of Robot OS (ROS). It contains development files for
 CvBridge, which converts between ROS Image messages and OpenCV images.
 .
 This package contains the development files.

Package: libcv-bridge2d
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: cv_bridge Robot OS package
 This package is part of Robot OS (ROS). It contains the library for
 CvBridge, which converts between ROS Image messages and OpenCV images.
 .
 This package contains the library itself.

Package: python3-cv-bridge
Section: python
Architecture: any
Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}, python3-genpy, python3-std-msgs, python3-sensor-msgs, python3-opencv
Description: cv_bridge ROS package - Python 3 bindings
 This package is part of Robot OS (ROS). It contains the Python interface for
 CvBridge, which converts between ROS Image messages and OpenCV images.
 .
 This package contains Python 3 code.

Package: libimage-geometry-dev
Section: libdevel
Architecture: any
Depends: libimage-geometry1d (= ${binary:Version}), ${misc:Depends}, libopencv-dev (>= 4.5.1), libsensor-msgs-dev
Description: image_geometry Robot OS package - development
 This package is part of Robot OS (ROS). It contains libraries for interpreting
 images geometrically. It interfaces the calibration parameters in
 sensor_msgs/CameraInfo messages with OpenCV functions such as
 image rectification, much as cv_bridge interfaces ROS sensor_msgs/Image with
 OpenCV data types.
 .
 This package contains the C++ development library.

Package: libimage-geometry1d
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: image_geometry Robot OS package - runtime
 This package is part of Robot OS (ROS). It contains libraries for interpreting
 images geometrically. It interfaces the calibration parameters in
 sensor_msgs/CameraInfo messages with OpenCV functions such as
 image rectification, much as cv_bridge interfaces ROS sensor_msgs/Image with
 OpenCV data types.
 .
 This package contains the C++ library.

Package: python3-image-geometry
Section: python
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, python3-genpy, python3-std-msgs, python3-opencv, python3-sensor-msgs
Description: image_geometry Robot OS package - Python 3 bindings
 This package is part of Robot OS (ROS). It contains libraries for interpreting
 images geometrically. It interfaces the calibration parameters in
 sensor_msgs/CameraInfo messages with OpenCV functions such as
 image rectification, much as cv_bridge interfaces ROS sensor_msgs/Image with
 OpenCV data types.
 .
 This package contains the Python 3 interface.

=== debian/rules ===
#!/usr/bin/make -f

# If we would only build the python extensions for the default python version,
# then we would make it harder for python transitions as packages with a
# strict dependency on the python version need to be rebuilt and migrated
# in lockstep with python3-defaults. To avoid this, we have to build extensions
# for all currently supported Python versions. Since pybuild has a cmake
# backend, the easiest way to do so, is to leave the job to pybuild itself.
# The variable PYVER is passed to cmake and filled with the appropriate
# python version for each build against each version.
export PYBUILD_CONFIGURE_ARGS=-DPYVER={version}
export PYBUILD_SYSTEM=cmake
export DEB_BUILD_MAINT_OPTIONS=hardening=+all reproducible=+fixfilepath

%:
	dh $@ --buildsystem=pybuild

# GMock will not run verbosely, even with CMAKE_VERBOSE_MAKEFILE=ON.
# The solution suggested by CMake upstream is to set VERBOSE=1.
# https://gitlab.kitware.com/cmake/cmake/-/issues/21360
# This is to make blhc happy as run on salsa CI.
override_dh_auto_build:
	dh_auto_build -- --build-args=VERBOSE=1

=== debian/tests/control ===
Test-Command: ./debian/tests/compilation image_geometry image_geometry/pinhole_camera_model.h
Restrictions: allow-stderr superficial
Depends: catkin, g++, libimage-geometry-dev
Features: test-name=libimage-geometry-dev

Test-Command: ./debian/tests/compilation cv_bridge cv_bridge/cv_bridge.h
Restrictions: allow-stderr superficial
Depends: catkin, g++, libcv-bridge-dev
Features: test-name=libcv-bridge-dev

Test-Command: python3 -c "import image_geometry"
Restrictions: allow-stderr superficial
Depends: python3-image-geometry
Features: test-name=python3-image-geometry

Test-Command: python3 -c "import cv_bridge"
Restrictions: allow-stderr superficial
Depends: python3-cv-bridge
Features: test-name=python3-cv-bridge

=== debian/watch ===
version=4
opts="dversionmangle=s/\+ds\d*$//,repacksuffix=+ds,\
    filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
    https://github.com/ros-perception/vision_opencv/releases \
    (?:.*?/)?v?(1[\d.]*)\.tar\.gz

## ros-vision-opencv 1.16.0%2Bds

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,12 @@
 Source: ros-vision-opencv
 Priority: optional
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Jochen Sprickerhof <jspricke@debian.org>,
-           Leopold Palomo-Avellaneda <leo@alaxarxa.net>
-Build-Depends: debhelper-compat (= 13), catkin, librosconsole-dev, libsensor-msgs-dev, libboost-python-dev, libopencv-dev (>= 4.5.1), dh-sequence-python3, librostest-dev, dh-sequence-numpy3, python3-all-dev
-Standards-Version: 4.5.1
+           Leopold Palomo-Avellaneda <leo@alaxarxa.net>,
+           Timo Röhling <roehling@debian.org>
+Build-Depends: debhelper-compat (= 13), catkin (>= 0.8.10-1~), librosconsole-dev, libsensor-msgs-dev, libboost-python-dev, libopencv-dev (>= 4.5.1), dh-sequence-python3, librostest-dev, dh-sequence-numpy3, python3-all-dev, libgtest-dev, python3-nose <!nocheck>, python3-rostest <!nocheck>, python3-sensor-msgs <!nocheck>, python3-opencv <!nocheck>
+Standards-Version: 4.6.0
 Section: libs
 Rules-Requires-Root: no
 Homepage: https://wiki.ros.org/vision_opencv
@@ -14,6 +16,7 @@
 Package: libcv-bridge-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends: libcv-bridge2d (= ${binary:Version}), ${misc:Depends}, librosconsole-dev, libsensor-msgs-dev, libopencv-dev (>= 4.5.1)
 Description: cv_bridge Robot OS package - development
  This package is part of Robot OS (ROS). It contains development files for
@@ -44,6 +47,7 @@
 Package: libimage-geometry-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends: libimage-geometry1d (= ${binary:Version}), ${misc:Depends}, libopencv-dev (>= 4.5.1), libsensor-msgs-dev
 Description: image_geometry Robot OS package - development
  This package is part of Robot OS (ROS). It contains libraries for interpreting

## ros-vision-opencv 1.16.0+ds

=== cv_bridge/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(cv_bridge)

find_package(catkin REQUIRED COMPONENTS rosconsole sensor_msgs)

if(NOT ANDROID)
  find_package(PythonLibs)

  if(PYTHONLIBS_VERSION_STRING VERSION_LESS "3.8")
    # Debian Buster
    find_package(Boost REQUIRED python37)
  else()
    # Ubuntu Focal
    find_package(Boost REQUIRED python)
  endif()
else()
find_package(Boost REQUIRED)
endif()

set(_opencv_version 4)
find_package(OpenCV 4 QUIET)
if(NOT OpenCV_FOUND)
  message(STATUS "Did not find OpenCV 4, trying OpenCV 3")
  set(_opencv_version 3)
endif()

find_package(OpenCV ${_opencv_version} REQUIRED
  COMPONENTS
    opencv_core
    opencv_imgproc
    opencv_imgcodecs
  CONFIG
)

catkin_package(
  INCLUDE_DIRS include
  LIBRARIES ${PROJECT_NAME}
  CATKIN_DEPENDS rosconsole sensor_msgs
  DEPENDS OpenCV
  CFG_EXTRAS cv_bridge-extras.cmake
)

catkin_python_setup()

include_directories(include ${Boost_INCLUDE_DIRS} ${OpenCV_INCLUDE_DIRS} ${catkin_INCLUDE_DIRS})
link_directories(${Boost_LIBRARY_DIRS})

if(NOT ANDROID)
add_subdirectory(python)
endif()
add_subdirectory(src)
if(CATKIN_ENABLE_TESTING)
  add_subdirectory(test)
endif()

# install the include folder
install(
  DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

=== debian/changelog ===
ros-vision-opencv (1.16.0+ds-1build3) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 16 Mar 2022 15:59:55 +0000

ros-vision-opencv (1.16.0+ds-1build2) jammy; urgency=medium

  * No-change rebuild against libboost-regex1.74.0-icu70.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 10 Feb 2022 16:03:27 +0100

ros-vision-opencv (1.16.0+ds-1build1) jammy; urgency=medium

  * No-change rebuild against libopencv-core4.5d

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 08 Dec 2021 00:52:32 +0000

ros-vision-opencv (1.16.0+ds-1) unstable; urgency=medium

  * Update autopkgtest
  * New upstream version 1.16.0+ds
  * Rebase patches

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 04 Dec 2021 09:26:35 +0100

ros-vision-opencv (1.15.0+ds-8) unstable; urgency=medium

  * Fix endianness issue with tests
  * Fix d/watch to look for tags, not releases, on Github

 -- Timo Röhling <roehling@debian.org>  Tue, 26 Oct 2021 23:52:09 +0200

ros-vision-opencv (1.15.0+ds-7) unstable; urgency=medium

  * Enable tests
  * Add MA hint from the MA hinter

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 26 Oct 2021 22:17:29 +0200

ros-vision-opencv (1.15.0+ds-6) unstable; urgency=medium

  * Team upload.
  * Upload to unstable
  * Fix Multiarch hinter issues

 -- Timo Röhling <roehling@debian.org>  Wed, 22 Sep 2021 22:44:49 +0200

ros-vision-opencv (1.15.0+ds-5) experimental; urgency=medium

  * Team upload.
  * Move pkg-config and CMake config files to /usr/lib/<triplet>
  * Bump Standards-Version to 4.6.0 (no changes)

 -- Timo Röhling <roehling@debian.org>  Mon, 20 Sep 2021 21:58:34 +0200

=== debian/watch ===
version=4
opts="dversionmangle=s/\+ds\d*$//,repacksuffix=+ds,\
    filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
    https://github.com/ros-perception/vision_opencv/tags \
    (?:.*?/)?v?(1[\d.]*)\.tar\.gz

## ros-vision-opencv 1.16.2+ds

=== opencv_tests/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(opencv_tests)

find_package(catkin REQUIRED)
catkin_package()

=== cv_bridge/src/CMakeLists.txt ===
--- 
+++ 
@@ -39,9 +39,12 @@
 add_library(${PROJECT_NAME}_boost module.cpp module_opencv4.cpp)
 target_link_libraries(${PROJECT_NAME}_boost ${Boost_LIBRARIES}
                                             ${catkin_LIBRARIES}
-                                            ${PYTHON_LIBRARIES}
                                             ${PROJECT_NAME}
 )
+
+if(NOT APPLE)
+  target_link_libraries(${PROJECT_NAME}_boost ${PYTHON_LIBRARIES})
+endif()
 
 set_target_properties(${PROJECT_NAME}_boost PROPERTIES
                       LIBRARY_OUTPUT_DIRECTORY ${CATKIN_DEVEL_PREFIX}/${CATKIN_GLOBAL_PYTHON_DESTINATION}/${PROJECT_NAME}/boost/
@@ -51,6 +54,8 @@
 if(APPLE)
   set_target_properties(${PROJECT_NAME}_boost PROPERTIES
                         SUFFIX ".so")
+  set_target_properties(${PROJECT_NAME}_boost PROPERTIES
+                        LINK_FLAGS "-undefined dynamic_lookup")
 endif()
 if(MSVC)
   set_target_properties(${PROJECT_NAME}_boost PROPERTIES

=== image_geometry/test/CMakeLists.txt ===
catkin_add_nosetests(directed.py)

catkin_add_gtest(${PROJECT_NAME}-utest utest.cpp)
target_link_libraries(${PROJECT_NAME}-utest ${PROJECT_NAME} ${OpenCV_LIBS})

catkin_add_gtest(${PROJECT_NAME}-utest-equi utest_equi.cpp)
target_link_libraries(${PROJECT_NAME}-utest-equi ${PROJECT_NAME} ${OpenCV_LIBS})

=== debian/changelog ===
ros-vision-opencv (1.16.2+ds-4) unstable; urgency=medium

  * Team upload.

  [ Timo Röhling ]
  * Wrap and sort Debian package files
  * Bump Standards-Version to 4.7.2
  * Migrate debian/watch to version 5 format

  [ Santiago Vila ]
  * d/control: Drop <!nocheck> from python3-opencv. Closes: #1116896.
  * d/control: Drop "Rules-Requires-Root: no" (default).

 -- Santiago Vila <sanvila@debian.org>  Wed, 08 Oct 2025 20:50:00 +0200

ros-vision-opencv (1.16.2+ds-3) unstable; urgency=medium

  * Add missing autopkgtest dependency
  * Drop Build-Depends on python3-nose

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 24 May 2024 07:43:00 +0200

ros-vision-opencv (1.16.2+ds-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Replace use of deprecated $ADTTMP with $AUTOPKGTEST_TMP.

  [ Matthias Klose ]
  * Python 3.12 fixes (Closes: #1066999)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 17 Mar 2024 09:18:17 +0100

ros-vision-opencv (1.16.2+ds-1) unstable; urgency=medium

  * New upstream version 1.16.2+ds
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 06 Oct 2022 11:28:20 +0200

ros-vision-opencv (1.16.1+ds-1) unstable; urgency=medium

  * New upstream version 1.16.1+ds

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 12 Sep 2022 11:47:28 +0200

=== debian/control ===
Source: ros-vision-opencv
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Jochen Sprickerhof <jspricke@debian.org>,
 Leopold Palomo-Avellaneda <leo@alaxarxa.net>,
 Timo Röhling <roehling@debian.org>,
Build-Depends:
 catkin (>= 0.8.10-1~),
 debhelper-compat (= 13),
 dh-sequence-numpy3,
 dh-sequence-python3,
 libboost-python-dev,
 libgtest-dev,
 libopencv-dev (>= 4.5.1),
 librosconsole-dev,
 librostest-dev,
 libsensor-msgs-dev,
 python3-all-dev,
 python3-opencv,
 python3-rostest <!nocheck>,
 python3-sensor-msgs <!nocheck>,
Standards-Version: 4.7.2
Section: libs
Homepage: https://wiki.ros.org/vision_opencv
Vcs-Git: https://salsa.debian.org/science-team/ros-vision-opencv.git
Vcs-Browser: https://salsa.debian.org/science-team/ros-vision-opencv

Package: libcv-bridge-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libcv-bridge2d (= ${binary:Version}),
 libopencv-dev (>= 4.5.1),
 librosconsole-dev,
 libsensor-msgs-dev,
 ${misc:Depends},
Description: cv_bridge Robot OS package - development
 This package is part of Robot OS (ROS). It contains development files for
 CvBridge, which converts between ROS Image messages and OpenCV images.
 .
 This package contains the development files.

Package: libcv-bridge2d
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Multi-Arch: same
Description: cv_bridge Robot OS package
 This package is part of Robot OS (ROS). It contains the library for
 CvBridge, which converts between ROS Image messages and OpenCV images.
 .
 This package contains the library itself.

Package: libimage-geometry-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libimage-geometry1d (= ${binary:Version}),
 libopencv-dev (>= 4.5.1),
 libsensor-msgs-dev,
 ${misc:Depends},
Description: image_geometry Robot OS package - development
 This package is part of Robot OS (ROS). It contains libraries for interpreting
 images geometrically. It interfaces the calibration parameters in
 sensor_msgs/CameraInfo messages with OpenCV functions such as
 image rectification, much as cv_bridge interfaces ROS sensor_msgs/Image with
 OpenCV data types.
 .
 This package contains the C++ development library.

Package: libimage-geometry1d
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Multi-Arch: same
Description: image_geometry Robot OS package - runtime
 This package is part of Robot OS (ROS). It contains libraries for interpreting
 images geometrically. It interfaces the calibration parameters in
 sensor_msgs/CameraInfo messages with OpenCV functions such as
 image rectification, much as cv_bridge interfaces ROS sensor_msgs/Image with
 OpenCV data types.
 .
 This package contains the C++ library.

Package: python3-cv-bridge
Section: python
Architecture: any
Depends:
 python3-genpy,
 python3-opencv,
 python3-sensor-msgs,
 python3-std-msgs,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: cv_bridge ROS package - Python 3 bindings
 This package is part of Robot OS (ROS). It contains the Python interface for
 CvBridge, which converts between ROS Image messages and OpenCV images.
 .
 This package contains Python 3 code.

Package: python3-image-geometry
Section: python
Architecture: all
Depends:
 python3-genpy,
 python3-opencv,
 python3-sensor-msgs,
 python3-std-msgs,
 ${misc:Depends},
 ${python3:Depends},
Description: image_geometry Robot OS package - Python 3 bindings
 This package is part of Robot OS (ROS). It contains libraries for interpreting
 images geometrically. It interfaces the calibration parameters in
 sensor_msgs/CameraInfo messages with OpenCV functions such as
 image rectification, much as cv_bridge interfaces ROS sensor_msgs/Image with
 OpenCV data types.
 .
 This package contains the Python 3 interface.

=== debian/tests/control ===
Test-Command: ./debian/tests/compilation image_geometry image_geometry/pinhole_camera_model.h
Restrictions:
 allow-stderr superficial,
Depends:
 catkin,
 g++,
 libimage-geometry-dev,
 make,
Features:
 test-name=libimage-geometry-dev,

Test-Command: ./debian/tests/compilation cv_bridge cv_bridge/cv_bridge.h
Restrictions:
 allow-stderr superficial,
Depends:
 catkin,
 g++,
 libcv-bridge-dev,
 make,
Features:
 test-name=libcv-bridge-dev,

Test-Command: python3 -c "import image_geometry"
Restrictions:
 allow-stderr superficial,
Depends:
 python3-image-geometry,
Features:
 test-name=python3-image-geometry,

Test-Command: python3 -c "import cv_bridge"
Restrictions:
 allow-stderr superficial,
Depends:
 python3-cv-bridge,
Features:
 test-name=python3-cv-bridge,

=== debian/watch ===
Version: 5

Template: Github
Owner: ros-perception
Project: vision_opencv
Source: https://api.github.com/repos/ros-perception/vision_opencv/git/matching-refs/tags/1\.
Dversion-Mangle: auto
Repack: yes
Repack-Suffix: +ds
